# Could be part of http://fedoraproject.org/wiki/LukeMacken/SecurityLiveCD
%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}

Name:           sleuthkit
Version:        2.10
Release:        1%{?dist}
Summary:        The Sleuth Kit (TSK)

Group:          Applications/System
License:        CPL and IBM
URL:            http://www.sleuthkit.org
Source0:        http://downloads.sourceforge.net/sleuthkit/sleuthkit-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/mac-robber/mac-robber-1.00.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## Theses two are statically linked for now
#BuildRequires:  afflib-devel
#BuildRequires:  libewf-devel
## Needed for static afflib and libewf 
BuildRequires:  curl-devel
BuildRequires:  expat-devel
BuildRequires:  ncurses-devel
BuildRequires:  zlib-devel
## /Needed

BuildRequires:  openssl-devel
BuildRequires:  file-devel

%if %{build_diet}
BuildRequires:  dietlibc >= 0.20
%endif
BuildRequires:  libstdc++-devel
Requires: file


%description
The Sleuth Kit (TSK) is an open source digital investigation tools (a.k.a
digital forensic tools) that run on Unix systems. They can be used to analyze
NTFS, FAT, Ext2, Ext3, UFS1, and UFS2 file systems and several volume system
types.

TSK is a collection of command line tools based on The Coroner's Toolkit (TCT).



%prep
%setup -q
%setup -q -n %{name}-%{version} -a1
#rm -rf src/libewf
rm -rf src/file
#rm -rf src/afflib

# Used to disable static version - wip
#for f in afflib-install.sh file-install.sh libewf-install.sh ;do
for f in file-install.sh ;do
rm src/$f
touch src/$f
done

# fix perms
find src -name '*.c' -exec chmod 0644 {} ';'
find src -name '*.cpp' -exec chmod 0644 {} ';'
find src -name '*.h' -exec chmod 0644 {} ';'
chmod 0644 tct.docs/* licenses/*
cp -pR mac-robber-1.00/README README.mac-robber
chmod 644 README.mac-robber

%build
export INIT_CFLAGS="$RPM_OPT_FLAGS"
export LIBDIR=%{_libdir}

%if %{build_diet}
    # OE: use the power of dietlibc
    make CC="diet gcc -D_BSD_SOURCE -D_GNU_SOURCE -s -static"
    diet gcc -D_BSD_SOURCE -D_GNU_SOURCE -s -static -o bin/mac-robber mac-robber-1.00/mac-robber.c
%else
    make COPTS="$RPM_OPT_FLAGS" OPT="$RPM_OPT_FLAGS" all
    gcc $RPM_OPT_FLAGS -o bin/mac-robber mac-robber-1.00/mac-robber.c
%endif
# jobserver fails
#{?_smp_mflags} all


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sorter
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -pm 0755 bin/* $RPM_BUILD_ROOT%{_bindir}/
install -pm 0644 man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1/
install -pm 0644 share/sorter/* $RPM_BUILD_ROOT%{_datadir}/sorter/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES.txt INSTALL.txt README.mac-robber README.txt TODO.txt licenses/* tct.docs/*
%{_bindir}/dcalc
%{_bindir}/dcat
%{_bindir}/disk_sreset
%{_bindir}/disk_stat
%{_bindir}/dls
%{_bindir}/dstat
%{_bindir}/ffind
%{_bindir}/fls
%{_bindir}/fsstat
%{_bindir}/hfind
%{_bindir}/icat
%{_bindir}/ifind
%{_bindir}/ils
%{_bindir}/img_cat
%{_bindir}/img_stat
%{_bindir}/istat
%{_bindir}/jcat
%{_bindir}/jls
%{_bindir}/mac-robber
%{_bindir}/mactime
%{_bindir}/md5
%{_bindir}/mmls
%{_bindir}/mmstat
%{_bindir}/sha1
%{_bindir}/sigfind
%{_bindir}/sorter
%{_bindir}/srch_strings
%{_mandir}/man1/dcalc.1*
%{_mandir}/man1/dcat.1*
%{_mandir}/man1/disk_sreset.1*
%{_mandir}/man1/disk_stat.1*
%{_mandir}/man1/dls.1*
%{_mandir}/man1/dstat.1*
%{_mandir}/man1/ffind.1*
%{_mandir}/man1/fls.1*
%{_mandir}/man1/fsstat.1*
%{_mandir}/man1/hfind.1*
%{_mandir}/man1/icat.1*
%{_mandir}/man1/ifind.1*
%{_mandir}/man1/ils.1*
%{_mandir}/man1/img_cat.1*
%{_mandir}/man1/img_stat.1*
%{_mandir}/man1/istat.1*
%{_mandir}/man1/jcat.1*
%{_mandir}/man1/jls.1*
%{_mandir}/man1/mactime.1*
%{_mandir}/man1/mmls.1*
%{_mandir}/man1/mmstat.1*
%{_mandir}/man1/sigfind.1*
%{_mandir}/man1/sorter.1*
%dir %{_datadir}/sorter/
%{_datadir}/sorter/*


%changelog
* Fri Dec 28 2007 kwizart < kwizart at gmail.com > - 2.10-1
- Update to 2.10

* Mon Oct 29 2007 kwizart < kwizart at gmail.com > - 2.09-1
- Initial package for Fedora 
  (inspired from Oden Eriksson mdk spec).


